commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <joerg.schai...@bpm-inspire.com>
Subject Re: [Text] Any reason to not upgrade to lang 3.5
Date Tue, 08 Nov 2016 15:10:55 GMT
Rob Tompkins wrote:

> 
> 
>> On Nov 8, 2016, at 9:38 AM, Rob Tompkins <chtompki@gmail.com> wrote:
>> 
>> 
>>> On Nov 7, 2016, at 10:23 PM, Bruno P. Kinoshita
>>> <brunodepaulak@yahoo.com.br.INVALID> wrote:
>>> 
>>> +1 to update away
>>> 
>>> I think it could be a mistake while creating the initial project
>>> structure. Don't remember why there would be a dependency between [text]
>>> and [lang].
>> 
>> Do you want to attempt a removal of the dependency on [lang]?
> 
> It looks like the main dependency is based upon StringUtils. Any thoughts
> on how we tackle that class from [lang]? I would think that we might
> minimally pull over the code that causes our dependency on [lang], and
> maybe some of the more complex methods?

This is IMHO what the shade plugin already does. Just that it avoids a 
rotting copy.

Cheers,
Jörg


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message